commit: bbc4ff2a18dcc7045842a115e71d78de11736ed7
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 1 10:58:49 2020 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Feb 1 10:58:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbc4ff2a
dev-embedded/u-boot-tools: bump up to 2020.01
Package-Manager: Portage-2.3.86, Repoman-2.3.20
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>
dev-embedded/u-boot-tools/Manifest | 1 +
.../u-boot-tools/u-boot-tools-2020.01.ebuild | 58 ++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-embedded/u-boot-tools/Manifest
b/dev-embedded/u-boot-tools/Manifest
index 8ee02d5e713..74fd419e86b 100644
--- a/dev-embedded/u-boot-tools/Manifest
+++ b/dev-embedded/u-boot-tools/Manifest
@@ -2,3 +2,4 @@ DIST u-boot-2018.05.tar.bz2 12469276 BLAKE2B
b09189d9bf8554c21630d42024d64894270
DIST u-boot-2018.11.tar.bz2 13045125 BLAKE2B
d2522e1eb2fb899f1217261b6c311be35ae2fb01d187714311184e6f913d1d5b3ad953b5fa02c5c7b0e1e5981be101ce82ea4cf09a457d32d778ffa5cadc0786
SHA512
1ea0bbb5f5e6d4c60b3a6bd345d1fa6e9da025daf36f47e8392bab34cb432c2e3633d903efb260f71fff87dffd6f2bf09ac900e96b3d4247073958d83b89ceff
DIST u-boot-2019.01.tar.bz2 13366005 BLAKE2B
161d927d5f2cb38c6a930f0b5edfedeb3a93586ea98e03066a1fa9c516bfc1f6ab8d5ba60b36714d10c08232971e7a0987f4d0a05635fa14a6359bb120aa0ed2
SHA512
d9699cd22afe9bc747d64208068c2cf8a2c3143d161ede24536f6fd6adfd6b81e28920589722639e2e48fcf34e8dbde3ead7f691f14cbcc38cd75694d14d719b
DIST u-boot-2019.10.tar.bz2 14214608 BLAKE2B
0dc89ebe207f836d2430d5111def9b4efa22839311d28cbfe4f0387a1b211850b0bf3cd67440b3cc32fb23aa8ece270c2438c44f5432f72474b4802ff117e803
SHA512
d8e98fca4b6af8d49d20ec09beab16b77863fcee88cda3605cc14435de21030bf3ca5e7cf7d06e42d4c0f75279c7295ecd628d2b77666eff7b7fd50374e051fd
+DIST u-boot-2020.01.tar.bz2 14716125 BLAKE2B
a2860f74cd3b147d39ed55ba4745e0400e19889a772f21d4bb18be9bdca9b43c6542b2b750207421f87b155529ddb38ea52b2820b46fdbd76232cdd6c13085cd
SHA512
073d4e0234095c1bda1ffa7a648972aa4530d106ee1a73035e0501b1aba2951653582c8b7bcf338d4e95012fa67e75f97b7e1fbac5cc764d609b671ef29617f7
diff --git a/dev-embedded/u-boot-tools/u-boot-tools-2020.01.ebuild
b/dev-embedded/u-boot-tools/u-boot-tools-2020.01.ebuild
new file mode 100644
index 00000000000..6deafb7f05c
--- /dev/null
+++ b/dev-embedded/u-boot-tools/u-boot-tools-2020.01.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MY_P="u-boot-${PV/_/-}"
+DESCRIPTION="utilities for working with Das U-Boot"
+HOMEPAGE="https://www.denx.de/wiki/U-Boot/WebHome"
+SRC_URI="ftp://ftp.denx.de/pub/u-boot/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="
+ sys-devel/flex
+ sys-devel/bison
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_compile() {
+ # Unset a few KBUILD variables. Bug #540476
+ unset KBUILD_OUTPUT KBUILD_SRC
+
+ emake \
+ V=1 \
+ HOSTCC="$(tc-getCC)" \
+ HOSTCFLAGS="${CFLAGS} ${CPPFLAGS}"' $(HOSTCPPFLAGS)' \
+ HOSTLDFLAGS="${LDFLAGS}" \
+ tools-only_defconfig
+
+ emake \
+ V=1 \
+ NO_SDL=1 \
+ HOSTSTRIP=: \
+ STRIP=: \
+ HOSTCC="$(tc-getCC)" \
+ HOSTCFLAGS="${CFLAGS} ${CPPFLAGS}"' $(HOSTCPPFLAGS)' \
+ HOSTLDFLAGS="${LDFLAGS}" \
+ CONFIG_ENV_OVERWRITE=y \
+ tools-all
+}
+
+src_test() { :; }
+
+src_install() {
+ cd tools || die
+ dobin bmp_logo dumpimage fdtgrep gen_eth_addr img2srec mkenvimage
mkimage
+ dobin env/fw_printenv
+ dosym fw_printenv /usr/bin/fw_setenv
+ insinto /etc
+ doins env/fw_env.config
+ doman "${S}"/doc/mkimage.1
+}